Package Details: soapyplutosdr-git r32.4eaad76-1

Git Clone URL: https://aur.archlinux.org/soapyplutosdr-git.git (read-only)
Package Base: soapyplutosdr-git
Description: Soapy SDR plugin for PlutoSDR
Upstream URL: https://github.com/pothosware/SoapyPlutoSDR
Keywords: plutosdr soapysdr
Licenses: LGPL2.1
Conflicts: soapyplutosdr
Provides: soapyplutosdr
Submitter: darsor
Maintainer: darsor
Last Packager: darsor
Votes: 1
Popularity: 0.007186
First Submitted: 2018-02-03 07:18
Last Updated: 2018-10-25 22:38

Dependencies (4)

Required by (4)

Sources (1)

Latest Comments

darsor commented on 2018-10-25 22:39

@potatoe, the issue was resolved and the PKGBUILD has been updated.

darsor commented on 2018-10-25 17:30

@potatoe, You are right, and those seem like good changes to the PKGBUILD.

Unfortunately, it fails to compile from the new repository. I submitted an issue here: https://github.com/pothosware/SoapyPlutoSDR/issues/3.

As soon as that gets fixed, I'll make the appropriate changes to the PKGBUILD. Thank you.

potatoe commented on 2018-10-25 16:39

It looks like the SoapyPlutoSDR plugin has been adopted up to the pothosware github organization (official soapysdr maintainers) at https://github.com/pothosware/SoapyPlutoSDR . The pothosware/SoapyPlutoSDR repository is now the one pointed to by the soapysdr wiki as the module for PlutoSDR support. It seems to be under more active maintenance, with a few extra commits and some pull requests merged in.

Changing the repository over in the PKGBUILD seems to build and run fine with no other changes required. It's probably best to switch this package over to the pothosware/SoapyPlutoSDR repository now?

P.S. it seems to be able to build and run with release soapysdr now, so the soapysdr-git dependency could be changed to soapysdr to let people choose between the AUR -git package and the [community] soapysdr package.

Thanks for this package, it's great having it available!